%define		_snap	20091119
Summary:	Utility to clean up and pretty print HTML files
Summary(pl.UTF-8):	Narzędzie do porządkowania kodu HTML
Name:		tidy
Version:	0.%{_snap}
Release:	2
Epoch:		1
License:	distributable
Group:		Applications/Text
# tidy projects no longer releases tarballs.
# cvs -z3 -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy export -D 2009-11-19 tidy
# tar -cf tidy-20091119.tar tidy;xz -9 -e tidy-20091119.tar
Source0:	tidy-%{_snap}.tar.xz
# Source0-md5:	0ca49cf79b4f3d25a080234a0bbf8eee
Patch0:		format-security.patch
URL:		http://tidy.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is utility for cleaning and pretty printing HTML files. It can
help in keeping your WWW sources in unified format (case of tags) and
proper encoding of different character sets.

%description -l pl.UTF-8
Tidy jest narzędziem służącym do czytelnego formatowania i
wyświetlania źródłowego kodu HTML. Ułatwia utrzymanie porządku w
źródłach stron WWW, utrzymanie jednolitej konwencji (wielkość liter w
tagach) oraz poprawnego kodowania różnych standardów znaków.

%package devel
Summary:	Tidy header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dla programu Tidy
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Tidy header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dla programu Tidy.

%package static
Summary:	Static Tidy library
Summary(pl.UTF-8):	Statyczna biblioteka Tidy
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Tidy library.

%description static -l pl.UTF-8
Statyczna biblioteka Tidy.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
sh build/gnuauto/setup.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc htmldoc/*
%attr(755,root,root) %{_bindir}/tab2space
%attr(755,root,root) %{_bindir}/tidy
%attr(755,root,root) %{_libdir}/libtidy-0.99.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtidy-0.99.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtidy.so
%{_libdir}/libtidy.la
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_includedir}/tidy*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtidy.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tidy.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f0ce10
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> 790f35d
- fix format string errors

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> f9c07c1
- BR: xz

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> ea2db9d
- added tar BR

* Thu Nov 19 2009 Artur Frysiak <artur@frysiak.net> 4733262
- updated to cvs -D 2009-11-19

* Fri Jul 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 9347d74
- more verbose files, ghost soname symlink

* Fri Jul 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f1739a
- up to 20080116

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> b7fd6c0
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 63037b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b5a1aa
- converted to UTF-8

* Fri Nov 10 2006 Elan Ruusamäe <glen@pld-linux.org> 55557e3
- 20061110 cvs snapshot

* Fri Nov 10 2006 Elan Ruusamäe <glen@pld-linux.org> 956b1ed
- use versioned builddir

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> d5f2955
- orphaned, outdated

* Wed Jan 04 2006 Andrzej Zawadzki <zawadaa@gmail.com> dcc1f33
- up to 0.20051111
- STBR

* Sat Aug 27 2005 darekr <darekr@pld-linux.org> e4126f4
- updated to 0.20050826;fix build

* Sun Jul 17 2005 darekr <darekr@pld-linux.org> ae95860
- unify sourceforge URL

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> ef8f72f
- spelling fixes

* Tue Oct 26 2004 ankry <ankry@pld-linux.org> d873562
- cosmetics

* Tue Oct 26 2004 freetz <freetz@pld-linux.org> 5b9a7c9
- old tarball already deleted, updated to 20041025

* Tue Oct 26 2004 freetz <freetz@pld-linux.org> 17ab975
- 20041005 (0.99.0)

